import { ExpoConfig } from '@expo/config';
import { User } from '@expo/xdl';
import { Platform } from './constants';
import { BuilderOptions } from './BaseBuilder.types';
export default class BaseBuilder {
    projectDir: string;
    options: BuilderOptions;
    manifest: ExpoConfig;
    user?: User;
    constructor(projectDir: string, options?: BuilderOptions);
    command(): Promise<void>;
    run(): Promise<void>;
    commandCheckStatus(): Promise<void>;
    prepareProjectInfo(): Promise<void>;
    checkProjectConfig(): Promise<void>;
    checkForBuildInProgress(): Promise<void>;
    checkStatus(platform?: 'all' | 'ios' | 'android'): Promise<void>;
    checkStatusBeforeBuild(): Promise<void>;
    logBuildStatuses(buildStatus: {
        jobs: Array<Record<string, any>>;
        canPurchasePriorityBuilds: boolean;
        numberOfRemainingPriorityBuilds: number;
        hasUnlimitedPriorityBuilds?: boolean;
    }): Promise<void>;
    ensureReleaseExists(): Promise<string[]>;
    wait(buildId: string, { interval, publicUrl }?: {
        interval?: number;
        publicUrl?: string;
    }): Promise<any>;
    build(expIds?: Array<string>): Promise<void>;
    platform(): Platform;
}
