"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _xdl() {
  const data = require("@expo/xdl");

  _xdl = function () {
    return data;
  };

  return data;
}

function _chalk() {
  const data = _interopRequireDefault(require("chalk"));

  _chalk = function () {
    return data;
  };

  return data;
}

function _log() {
  const data = _interopRequireDefault(require("../log"));

  _log = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function action() {
  const user = await _xdl().UserManager.getCurrentUserAsync({
    silent: true
  });

  if (user) {
    if (process.stdout.isTTY) {
      (0, _log().default)(`Logged in as ${_chalk().default.cyan(user.username)}`);
    }

    _log().default.raw(user.username);
  } else {
    (0, _log().default)(`\u203A Not logged in, run ${_chalk().default.cyan`expo login`} to authenticate`);
    process.exit(1);
  }
}

function _default(program) {
  program.command('whoami').alias('w').description('Checks with the server and then says who you are logged in as').asyncAction(action);
}
//# sourceMappingURL=whoami.js.map